% function that solves for the consumption equivalence;

function F=funwelk(x);
global rho gamma A B beta k ii sigma gr Wbench Wbenchk extra e0c e1c


W0u=((1-x(1))^rho/rho-1/gamma)*A^(rho/(rho-gamma))*(1/gr)*e0c^gr;
W0c=((1-x(1))^rho/rho)*(e0c/A)^(rho/(gamma-rho))*(1/2)*(e1c^2-e0c^2)-(A/gamma)*(e0c/A)^(gamma/(gamma-rho))*(e1c-e0c);
W1=A^(rho/(rho-gamma))*(1+ii)^(gamma/(rho-gamma))*((1+ii)*(1-x(1))^rho/rho-1/gamma)*(1/gr)*(1-e1c^gr);
% Welfare in a credit economy;
W=sigma*(W0u+W0c+W1)+B*log(B*(1-x(1)))-B-extra*sigma*(1/beta-1);
F=[W-Wbenchk];
