% equation system that solves for the equilibrium;

function F=funcredit(x);
global rho gamma A beta k ii sigma B
% 
% % f1=(x(3)^(rho-gamma))/A-2/(x(1)+x(2))-2*ii*(1/sigma-1+x(2))/(x(2)^2-x(1)^2);
% % f2=x(1)*(x(3)^(rho-gamma))/A-1;
% % f3=x(2)*(1/rho)*(x(4)^rho)-(A/gamma)*(x(4)^gamma)-k-x(2)*(1/rho)*(x(3)^rho)+(A/gamma)*(x(3)^gamma);
% % f4=x(2)*(x(4)^(rho-gamma))/A-1-ii;
% 
% e0=A*(x(1)^(gamma-rho));
% e1=(1+ii)*A*(x(2)^(gamma-rho));
% %f1=(x(1)^(rho-gamma))/A-2/(e0+e1)-2*ii*(1/sigma-1+e1)/(e1^2-e0^2);
% f1=2*e0^2+(e1^2-e0^2)+2*(1+ii)*(1-e1)*e0-2*e0-2*ii*e0/sigma;
% %f1=1/e0-2/(e0+e1)-2*ii*(1/sigma-1+e1)/(e1^2-e0^2);
% % uq0=(1/rho)*x(1)^rho;
% % cq0=(A/gamma)*x(1)^gamma;
% % uq1=(1/rho)*x(2)^rho;
% % cq1=(A/gamma)*x(2)^gamma;
% f2=e1*(1/rho)*(x(2)^rho)-(A/gamma)*(x(2)^gamma)-k-e1*(1/rho)*(x(1)^rho)+(A/gamma)*(x(1)^gamma);
% %f2=e1*uq1-cq1-k-e1*uq0+cq0;
% % F=[f1
% %     f2
% %     f3
% %     f4];

q0=(x(1)/A)^(1/(gamma-rho));
q1=(x(2)/((1+ii)*A))^(1/(gamma-rho));
cq0=(A/gamma)*q0^gamma;
cq1=(A/gamma)*q1^gamma;
uq0=(1/rho)*q0^rho;
uq1=(1/rho)*q1^rho;
f1=x(1)^2+x(2)^2+2*(1+ii)*(1-x(2))*x(1)-2*x(1)-2*ii*x(1)/sigma;
f2=x(2)*uq1-(1+ii)*cq1-k-x(2)*uq0+(1+ii)*cq0;
F=[f1
    f2];